<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@drawable/background_shape_white_radius_6">

    <LinearLayout
        android:id="@+id/complaintContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:layout_marginBottom="12dp"
        android:orientation="vertical" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/otherComplaintContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        tools:visibility="visible">

        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:text="其它"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <EditText
            android:id="@+id/complaintCommentEt"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/bg_shape_f5_radius_4"
            android:gravity="top|left"
            android:lineSpacingMultiplier="1.4"
            android:hint="请输入说明（必填）"
            android:paddingLeft="12dp"
            android:paddingTop="9dp"
            android:paddingRight="12dp"
            android:paddingBottom="9dp"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_body"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/titleTv" />


        <View
            android:id="@+id/line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="15dp"
            android:background="@color/divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/complaintCommentEt" />

        <TextView
            android:id="@+id/backTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="返回"
            android:textColor="@color/text_subtitle"
            android:textSize="14sp"
            app:layout_constraintEnd_toStartOf="@+id/middle_line"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/line" />

        <View
            android:id="@+id/middle_line"
            android:layout_width="1dp"
            android:layout_height="0dp"
            android:background="@color/divider"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/commitTv"
            app:layout_constraintStart_toEndOf="@+id/backTv"
            app:layout_constraintTop_toBottomOf="@+id/line" />

        <TextView
            android:id="@+id/commitTv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:paddingTop="18dp"
            android:paddingBottom="18dp"
            android:text="提交"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/middle_line"
            app:layout_constraintTop_toBottomOf="@+id/line" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>